## START: Set by rpmautospec
## (rpmautospec version 0.3.8)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%{?mingw_package_header}

Name:           mingw-gtest
Version:        1.13.0
Release:        %autorelease
Summary:        MinGW compiled gtest library

License:        BSD-3-Clause
URL:            https://github.com/google/googletest
Source:         https://github.com/google/googletest/archive/refs/tags/v%{version}.tar.gz#/gtest-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  cmake

BuildRequires:  mingw32-filesystem
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-python3

BuildRequires:  mingw64-filesystem
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-python3

%description
Framework for writing C++ tests on a variety of platforms (GNU/Linux,
Mac OS X, Windows, Windows CE, and Symbian). Based on the xUnit
architecture. Supports automatic test discovery, a rich set of
assertions, user-defined assertions, death tests, fatal and non-fatal
failures, various options for running the tests, and XML test report
generation.

%package     -n mingw-gmock
Summary:        MinGW compiled gmock library

%description -n mingw-gmock
Inspired by jMock, EasyMock, and Hamcrest, and designed with C++s
specifics in mind, Google C++ Mocking Framework (or Google Mock for
short) is a library for writing and using C++ mock classes.

Google Mock:

 o lets you create mock classes trivially using simple macros,
 o supports a rich set of matchers and actions,
 o handles unordered, partially ordered, or completely ordered
   expectations,
 o is extensible by users, and
 o works on Linux, Mac OS X, Windows, Windows Mobile, minGW, and
   Symbian.

# Win32
%package     -n mingw32-gtest
Summary:        MinGW compiled gtest library for the Win32 target
Requires:       mingw32-gmock

%description -n mingw32-gtest
MinGW compiled gtest library for the Win32 target.

%package     -n mingw32-gmock
Summary:        MinGW compiled gmock library for the Win32 target

%description -n mingw32-gmock
MinGW compiled gmock library for the Win32 target.

# Win64
%package     -n mingw64-gtest
Summary:        MinGW compiled gtest library for the Win64 target
Requires:       mingw64-gmock

%description -n mingw64-gtest
MinGW compiled gtest library for the Win64 target.

%package     -n mingw64-gmock
Summary:        MinGW compiled gmock library for the Win64 target

%description -n mingw64-gmock
MinGW compiled gmock library for the Win64 target.

%{?mingw_debug_package}

%prep
%autosetup -p1 -n googletest-%{version}

%build
%mingw_cmake

%install
%mingw_make_install

# Libtool files don't need to be bundled
find %{buildroot} -name "*.la" -delete

# Win32
%files -n mingw32-gtest
%{mingw32_bindir}/libgtest.dll
%{mingw32_bindir}/libgtest_main.dll
%{mingw32_includedir}/gtest/
%{mingw32_libdir}/libgtest.dll.a
%{mingw32_libdir}/libgtest_main.dll.a
%{mingw32_libdir}/cmake/GTest/
%{mingw32_libdir}/pkgconfig/gtest.pc
%{mingw32_libdir}/pkgconfig/gtest_main.pc

%files -n mingw32-gmock
%{mingw32_bindir}/libgmock.dll
%{mingw32_bindir}/libgmock_main.dll
%{mingw32_includedir}/gmock/
%{mingw32_libdir}/libgmock.dll.a
%{mingw32_libdir}/libgmock_main.dll.a
%{mingw32_libdir}/pkgconfig/gmock.pc
%{mingw32_libdir}/pkgconfig/gmock_main.pc

# Win64
%files -n mingw64-gtest
%{mingw64_bindir}/libgtest.dll
%{mingw64_bindir}/libgtest_main.dll
%{mingw64_includedir}/gtest/
%{mingw64_libdir}/libgtest.dll.a
%{mingw64_libdir}/libgtest_main.dll.a
%{mingw64_libdir}/cmake/GTest/
%{mingw64_libdir}/pkgconfig/gtest.pc
%{mingw64_libdir}/pkgconfig/gtest_main.pc

%files -n mingw64-gmock
%{mingw64_bindir}/libgmock.dll
%{mingw64_bindir}/libgmock_main.dll
%{mingw64_includedir}/gmock/
%{mingw64_libdir}/libgmock.dll.a
%{mingw64_libdir}/libgmock_main.dll.a
%{mingw64_libdir}/pkgconfig/gmock.pc
%{mingw64_libdir}/pkgconfig/gmock_main.pc

%changelog
## START: Generated by rpmautospec
* Fri Jan 19 2024 Tomi Lähteenmäki <lihis@lihis.net> - 1.13.0-1
- Upstream release 1.13.0
## END: Generated by rpmautospec
